Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class ThriftGlue

    java.lang.Object
      org.apache.cassandra.thrift.ThriftGlue

    public class ThriftGlue

extends java.lang.Object

Constructor Summary
`ThriftGlue()`

Method Summary
`static ColumnOrSuperColumn` | `createColumnOrSuperColumn_Column(Column col)`
`static ColumnOrSuperColumn` | `createColumnOrSuperColumn_SuperColumn(SuperColumn scol)`
`static ColumnParent` | `createColumnParent(java.lang.String columnFamily, byte[] super_column)`
`static ColumnPath` | `createColumnPath(java.lang.String columnFamily, byte[] superColumnName, byte[] columnName)`
`static SlicePredicate` | `createSlicePredicate(java.util.List<byte[]> columns, SliceRange range)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ThriftGlue

    public ThriftGlue()

Method Detail

### createColumnOrSuperColumn_Column

    public static ColumnOrSuperColumn createColumnOrSuperColumn_Column(Column col)

### createColumnOrSuperColumn_SuperColumn

    public static ColumnOrSuperColumn createColumnOrSuperColumn_SuperColumn(SuperColumn scol)

### createColumnParent

    public static ColumnParent createColumnParent(java.lang.String columnFamily,
                                                  byte[] super_column)

### createColumnPath

    public static ColumnPath createColumnPath(java.lang.String columnFamily,
                                              byte[] superColumnName,
                                              byte[] columnName)

### createSlicePredicate

    public static SlicePredicate createSlicePredicate(java.util.List<byte[]> columns,
                                                      SliceRange range)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation